%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      xstring
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        1.5c
Release:        1%{?dist}
Summary:        A set of Latex macros for manipulating strings

Group:          Applications/Publishing
License:        LPPL
URL:            http://www.ctan.org/tex-archive/macros/latex/contrib/xstring/
Source0:        http://www.ctan.org/get/macros/latex/contrib/xstring.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  tetex-latex

Requires:       tetex-latex

Requires(post):   /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
%{texpkg} provides macros manipulating strings for programming use.
A "string" is made of TeX code, i.e. chars (catcodes 10, 11 and 12),
controls sequences, groups between braces, tokens with other catcodes,
excepted catcodes 6 and 14 (usually chars # and %).

%prep
%setup -q -n %{texpkg}

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}{%{texpkgdir},%{texpkgdoc}}
install -p -m 644 %{texpkg}.sty %{buildroot}%{texpkgdir}
install -p -m 644 %{texpkg}.tex %{buildroot}%{texpkgdir}
install -p -m 644 xstring_doc_??.tex %{buildroot}%{texpkgdoc}
install -p -m 644 test*.tex %{buildroot}%{texpkgdoc}
install -p -m 644 *.pdf %{buildroot}%{texpkgdoc}

%clean
rm -rf %{buildroot}


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%triggerin -- lyx
if [ $2 -gt 1 ]; then
cd %{_datadir}/lyx && \
  ./configure --without-latex-config > /dev/null 2>&1 ||:
fi

%triggerun -- lyx
if [ $2 -eq 0 ]; then
cd %{_datadir}/lyx && \
  ./configure --without-latex-config > /dev/null 2>&1 ||:
fi


%files
%defattr(-,root,root,-)
%doc README
%{texpkgdir}/
%{texpkgdoc}/


%changelog
* Sun Jun 7 2009 Chitlesh Goorah < chitlesh [AT] fedoraproject DOT org> - 1.5c-1
- initial package
